local mod = LibStub("AceAddon-3.0"):GetAddon("InternalCooldowns")
-- Format is item id = trigger spell ID
mod.procDB = {
	[44914] = 60065,			-- Anvil of the Titans
	[40371] = 60443,			-- Bandit's Insignia
	[45522] = 64790,			-- Blood of the Old God
	[42990] = 60203,			-- Darkmoon Card: Death
	[40255] = 60494,			-- Dying Curse
	[65005] = 65004,			-- Elemental Focus Stone
	[39229] = 60492,			-- Embrace of the Spider
	[40373] = 60488,			-- Extract of Necromatic Power
	[45518] = 60488,			-- Flare of the Heavens, shares a spell ID with Extract of Necromatic Power!
	[44912] = 60064,			-- Flow of Knowledge
	[40258] = 60530,			-- Forethought Talisman
	[40256] = 60437,			-- Grim Toll
	[37835] = 49623, 			-- Je'Tze's Bell
	[40684] = 60065,			-- Mirror of Truth, shares a spell IF with Anvil of the Titans
	[45931] = 65019, 			-- Mjolnir Runestone
	[45490] = 64741,			-- Pandora's Plea
	[45286] = 65014,			-- Pyrite Infuser
	[45929] = 65003, 			-- Sif's Remembrance
	[40382] = 60538,			-- Soul of the Dead
	[40682] = 60064, 			-- Sundial of the Exiled, shares a spell with Flow of Knowledge
	[43573] = 58904,			-- Tears of Bitter Anguish
	[40685] = 60062,			-- The Egg of Mortal Essence
	[45507] = 64765, 			-- The General's Heart
	
	-- Blues
	[38358]	= 51353,			-- Arcane Revitalizer
	[37220] = 60218,			-- Essence of Gossamer
	[37660] = 60479,			-- Forge Ember
	[38359] = 51348,			-- Goblin Repetition Reducer
	[45131] = 63250,			-- Jouster's Fury
	[45219] = 63250,			-- Jouster's Fury
	[37390] = 60302,			-- Meteorite Whetstone
	[40865] = 54808, 			-- Noise Machine
	[37264] = 60483, 			-- Pendulum of Telluric Currents
	[38675] = 52424, 			-- Signet of the Dark Brotherhood
	[40767] = 55018,			-- Sonic Booster
	[38674] = 52419,			-- Soul Harvester's Charm
	-- [37111] = 18350,			-- Soul Preserver, no internal cooldown
	[37657] = 60520,			-- Spark of Life
	[37064] = 60307				-- Vestige of Haldor
	
	-- TODO: Greatness cards (ID overlap is a problem!)
}

-- Item ID => cooldown, in seconds
-- If an item isn't in here, 45 sec is assumed.
mod.cooldowns = {
	[40373] = 15,
	[45518] = 15,
	[38359] = 10,
	[38358] = 10,
	[40865] = 60,
	[40767] = 60,
	[38674] = 30
}